You are not logged in.

#1 2022-11-15 15:24:23

kdive
Member
Registered: 2022-11-15
Posts: 2

signature error, unable to install the latest tor (0.4.7.11)

error: tor: signature from "kpcyrd <git@rxv.cc>" is unknown trust
:: File /var/cache/pacman/pkg/tor-0.4.7.11-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

not sure what's wrong with the package, maybe it's too new, buggy build ?

or my signature ring is broken..

Offline

#2 2022-11-15 15:50:51

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,830

Re: signature error, unable to install the latest tor (0.4.7.11)

That's not a package problem, that's a keyring problem. Is your system fully up to date?

Offline

#3 2022-11-15 16:24:25

kdive
Member
Registered: 2022-11-15
Posts: 2

Re: signature error, unable to install the latest tor (0.4.7.11)

no, I was afraid to fully upgrade it as I'm not physically at the machine, although, it did, the "sudo pacman-key --refresh-keys ", but no luck.

Offline

#4 2022-11-15 16:40:11

Scimmia
Fellow
Registered: 2012-09-01
Posts: 9,830

Re: signature error, unable to install the latest tor (0.4.7.11)

Well update archlinux-keyring first, but you're trying to do a partial update. Don't expect tor to actually work.

And don't go updating individual libraries to try to make it work. You'll likely destroy the system. Full updates are the only way.

Last edited by Scimmia (2022-11-15 16:41:34)

Offline

#5 2022-11-15 17:05:09

Slithery
Administrator
From: Norfolk, UK
Registered: 2013-12-01
Posts: 5,647

Re: signature error, unable to install the latest tor (0.4.7.11)

Read the second line in bold...

https://bbs.archlinux.org/viewtopic.php?id=130309


No, it didn't "fix" anything. It just shifted the brokeness one space to the right. - jasonwryan
Closing -- for deletion; Banning -- for muppetry. - jasonwryan

aur - dotfiles

Offline

Board footer

Powered by FluxBB